usb_ep_fifo_flush
Prev | Core Objects and Methods | Next

## Name

usb_ep_fifo_flush — flushes contents of a fifo

## Synopsis

`void usb_ep_fifo_flush (` | struct usb_ep * | ep`)`;

## Arguments

`ep`

  the endpoint whose fifo is being flushed.

## Description

This call may be used to flush the “unclaimed data” that may exist in an endpoint fifo after abnormal transaction terminations. The call must never be used except when endpoint is not being used for any protocol translation.

Prev | Up | Next
usb_ep_fifo_status | Home | struct usb_gadget